Bug 1454239 - golang 1.8 performance regression in net/http affecting kubernetes scale
Summary: golang 1.8 performance regression in net/http affecting kubernetes scale
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.6.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.7.0
Assignee: Seth Jennings
QA Contact: Mike Fiedler
URL:
Whiteboard: aos-scalability-37
Depends On: 1452616
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-22 11:42 UTC by Jeremy Eder
Modified: 2017-11-28 21:55 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1452616
Environment:
Last Closed: 2017-11-28 21:55:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Comment 1 Seth Jennings 2017-08-07 15:40:40 UTC
Related upstream:
https://github.com/kubernetes/kubernetes/issues/45216

They are using an out of tree patch to Golang:
https://github.com/kubernetes/kubernetes/pull/45879/files#diff-2e328a8d61eb89287c6b3fd10183577c

Comment 2 Seth Jennings 2017-08-07 15:42:43 UTC
Looks like it is fixed in Golang 1.8.3
https://github.com/kubernetes/kubernetes/pull/46429

Can you retry with that version?

Comment 3 Seth Jennings 2017-09-05 14:04:27 UTC
OCP 3.7 builds with golang 1.8.3

Comment 5 Mike Fiedler 2017-10-16 18:49:00 UTC
Discussed with the performance team.   Verification consists of verifying OCP 3.7 is compiled with golang 1.8:

Verified on OCP 3.7.0-0.147.0:


root@ip-172-31-15-244: ~/svt/openshift_scalability # gops

81944 1     openshift         go1.8.3 /usr/bin/openshift
79468 1     openshift         go1.8.3 /usr/bin/openshift
30047 1     openshift         go1.8.3 /usr/bin/openshift

Comment 8 errata-xmlrpc 2017-11-28 21:55:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.